Ticket #419 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

debathena-nmh depends on krb4

Reported by: broder Owned by: geofft
Priority: low Milestone: Summer 2010 (Lucid Deploy)
Component: mail Keywords: karmic
Cc: mitchb Fixed in version:
Upstream bug:

Description

This is a problem on platforms that don't have krb4, such as Karmic and Squeeze.

Until this gets fixed, debathena-nmh has been demoted to a recommendation in debathena-clients instead of a dependency

Change History

comment:1 Changed 12 years ago by broder

  • Keywords karmic added

comment:2 Changed 12 years ago by geofft

  • Status changed from new to accepted
  • Owner set to geofft

Mitch and I spent some time looking at this over the weekend. nmh upstream supports SASL authentication, and at least one of its developers apparently regularly uses it with GSSAPI. We set up a stock Cyrus IMAP server on the zone cell with imap/ and pop/ keys, and successfully tested it with (Fedora's) stock nmh 1.3.

The Athena PO servers are configured to do GSSAPI for IMAP on .mail.mit.edu and krb4 on .mit.edu, but always krb4 for POP. If we get the POP configuration synchronized, this can be resolved simply by using a newer nmh version.

As far as ticket #74, Mitch tells me there are a couple of source patches we want, so it may not be quite as simple as punting debathena-nmh completely, but Debathenificating the package would be a huge improvement to using our own source snapshotted a decade or so ago.

comment:3 Changed 12 years ago by mitchb

  • Cc mitchb added
  • Milestone set to Karmic Deploy

The PO servers have been reconfigured to offer GSSAPI auth for
POP on poXX.mail.mit.edu. 'pop3test -p 995 -s poXX.mail.mit.edu'
works, and I just successfully inc'd ljtest's mail on my laptop
with nmh 1.3, so I believe we've essentially succeeded. Geoff
and I will deliver packages as outlined in ticket #74 soon.

comment:4 Changed 11 years ago by geofft

  • Status changed from accepted to development

I've removed the debathena-nmh package (in third/nmh/) from SVN and uploaded a Debathenified package (in debathena/third/nmh/) that incorporates just r14162, and also uploaded metapackages that restore debathena-nmh-config to a hard dependency of -clients. I've confirmed that sending and receiving mail involves krb5 tickets only on Jaunty.

See also the discussion on ticket 74.

comment:5 Changed 11 years ago by broder

  • Status changed from development to proposed

Now in proposed. See also #74.

comment:6 Changed 11 years ago by broder

  • Status changed from proposed to closed
  • Resolution set to fixed

This has been moved to production.

Note: See TracTickets for help on using tickets.